I need PHP modlue XAMP ver 1.7.1

Problems with the Windows version of XAMPP, questions, comments, and anything related.

I need PHP modlue XAMP ver 1.7.1

Postby ebermed » 14. April 2010 00:34

I am runnig Xamp 1.7.1 I do not have a PHP module visible in contol panel. Do I have PHP in this version if not how do I get that module?

If you have not guessed I am new to XAMP and PHP I installed Xamp last week as part of an online course on MySql. So be gentle in replies if I seem dense It's only because I am

Thnks,

MIKE E
ebermed
 
Posts: 7
Joined: 02. April 2010 17:01

Re: I need PHP modlue XAMP ver 1.7.1

Postby Altrea » 14. April 2010 00:44

XAMPP is a full package of the components Apache, MySQL, PHP, Perl.
So, PHP support is already included.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: I need PHP modlue XAMP ver 1.7.1

Postby ebermed » 14. April 2010 01:40

I do not mean to be niave but how do I get the php module to appear in the control panel? I found all the fiels for PHP and everything else by using the explore button in the control panel.

Thanks
Mike
ebermed
 
Posts: 7
Joined: 02. April 2010 17:01

Re: I need PHP modlue XAMP ver 1.7.1

Postby Altrea » 14. April 2010 05:28

php is active by default.
to be clearer, php is just an extension in your Apache. There is no start button in your control panel, because it's not needed.
If you start your Apache, he will be able to route your php files through the php interpreter.

Just copy your php files into your htdocs folder (or a subfolder of it), open your browser and type in the url.

e.g. if you have a test.php file is in your Folder c:/xampp/htdocs/, the url will be http://localhost/test.php.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: I need PHP modlue XAMP ver 1.7.1

Postby ebermed » 14. April 2010 06:12

Thank you that is what I wanted to know
I do see anywhere on this forum to mark questions as anqwered but thanks again
ebermed
 
Posts: 7
Joined: 02. April 2010 17:01

Re: I need PHP modlue XAMP ver 1.7.1

Postby Altrea » 14. April 2010 06:39

you're welcome.
If you want to mark your thread as solved, just edit the topic of your very first post :D
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 54 guests